SonarProperties (Gradle API 2.14.1)
Date: 2016-07-18

Package: org.gradle.sonar.runner

## [Java] Class SonarProperties

- org.gradle.sonar.runner.SonarProperties

- The Sonar properties for the current Gradle project that are to be passed to the Sonar Runner.

  The `properties` map is already populated with the defaults provided by Gradle, and can be further manipulated as necessary. Before passing them on to the Sonar Runner, property values are converted to Strings as follows:

  - `Iterable`s are recursively converted and joined into a comma-separated String.
  - All other values are converted to Strings by calling their `toString()` method.
  deprecated:
    The 'sonar-runner' plugin has been superseded by the official plugin from SonarQube, please see: http://docs.sonarqube.org/display/SONAR/Analyzing+with+Gradle

- - ### Constructor Summary

    Constructors
    Constructor and description
    `SonarProperties (Map<String, Object> properties)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `Map<String, Object>` | `getProperties()` The Sonar properties for the current Gradle project that are to be passed to the Sonar runner.
    `void` | `properties(Map<String, ?> properties)` Convenience method for setting multiple properties.
    `void` | `property(String key, Object value)` Convenience method for setting a single property.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public SonarProperties(Map<String, Object> properties)

  - ### Method Detail

    - #### public Map<String, Object> getProperties()

      The Sonar properties for the current Gradle project that are to be passed to the Sonar runner.

    - #### public void properties(Map<String, ?> properties)

      Convenience method for setting multiple properties.

      Parameters:
        `properties` - the properties to be added

    - #### public void property(String key, Object value)

      Convenience method for setting a single property.

      Parameters:
        `key` - the key of the property to be added
        `value` - the value of the property to be added